;;; BCX converts all ByLayer-colored objects in the ENTIRE FILE to byObject color
;;; -----------------------------------------------------
;;; same variables as BC
(defun c:BCX ()
(princ "\n ...converting entire file from ByLayer to byObject color...")
(setq SS (ssget "X" (list '(62 . 256))))
(if SS (progn            ;begin If-Then procedure list
(setq I -1)
(repeat (sslength SS)    ;-------begin loop------------------
   (setq I (+ I 1))
   (setq EN (ssname SS I))
   (setq EL (entget EN))
   (setq LAY (cdr (assoc 8 EL)))
   (setq LL (tblsearch "layer" LAY))
   (setq LCP (list (assoc 62 LL)))
   (setq CP (list (assoc 62 EL)))     
   (setq EL (append EL LCP))
   (setq EL (subst LCP CP EL))
   (entmod EL)
   (entupd EN) 
)                        ;--------end loop-------------------
)                        ; end Progn = If-Then procedure list
(princ "\n 0 selected")  ; = If-Else procedure
)                        ; end If function
;(sssetfirst nil (ssget "P")) ;leaves the selected objects selected and highlighted
) ;; end Defun -----------------------------------------------------------------


;;; BTX converts all ByLayer-linetyped objects in the ENTIRE FILE to byObject linetype
;;; -----------------------------------------------------
;;; same variables as BT
(defun c:BTX ()
(princ "\n Converting entire file from ByLayer to byObject LineTYPE...")
(setq SS (ssget "X" (list '(6 . "ByLayer"))))
(if SS (progn            ;begin If-Then procedure list
(setq I -1)
(repeat (sslength SS)    ;-------begin loop------------------
   (setq I (+ I 1))
   (setq EN (ssname SS I))
   (setq EL (entget EN))
   (setq LAY (cdr (assoc 8 EL)))
   (setq LL (tblsearch "layer" LAY))
   (setq LTP (list (assoc 6 LL)))
   (setq TP (list (assoc 6 EL)))     
   (setq EL (append EL LTP))
   (setq EL (subst LTP TP EL))
   (entmod EL)
   (entupd EN) 
)                        ;--------end loop-------------------
)                        ; end Progn = If-Then procedure list
(princ "\n 0 selected")  ; = If-Else procedure
)                        ; end If function
;(sssetfirst nil (ssget "P")) ;leaves the selected objects selected and highlighted
) ;; end Defun -----------------------------------------------------